# gdcm::ExplicitImplicitDataElement Class Reference

Class to read/write a DataElement as ExplicitImplicit Data Element. More...

`#include <gdcmExplicitImplicitDataElement.h>`

Inheritance diagram for gdcm::ExplicitImplicitDataElement:
[legend]
Collaboration diagram for gdcm::ExplicitImplicitDataElement:
[legend]

List of all members.

## Public Member Functions
VL | GetLength () const
template<typename TSwap >
std::istream & | Read (std::istream &is)
template<typename TSwap >
std::istream & | ReadWithLength (std::istream &is, VL &length)

## Detailed Description

Class to read/write a DataElement as ExplicitImplicit Data Element.

Note:
  This only happen for some Philips images Should I derive from ExplicitDataElement instead ? This is the class that is the closest the GDCM1.x parser. At each element we try first to read it as explicit, if this fails, then we try again as an implicit element.

## Member Function Documentation

VL gdcm::ExplicitImplicitDataElement::GetLength | ( |  | ) | const

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::ExplicitImplicitDataElement::Read | ( | std::istream & | is | ) | `[inline]`

Reimplemented from gdcm::DataElement.

template<typename TSwap >

std::istream& gdcm::ExplicitImplicitDataElement::ReadWithLength | ( | std::istream & | is,
|  | VL & | length |
| ) |  |  | `[inline]`

Reimplemented from gdcm::DataElement.

The documentation for this class was generated from the following file:

- gdcmExplicitImplicitDataElement.h